Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234351 - %include should be able to grab URLs
Summary: %include should be able to grab URLs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pykickstart
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 17:14 UTC by Ryan Tilder
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 20:00:08 UTC


Attachments (Terms of Use)
use urlgrabber.grabber.urlopen() to open %include files (deleted)
2007-03-28 17:14 UTC, Ryan Tilder
no flags Details | Diff
use urlgrabber.grabber.urlopen() to open all kickstart config files so that %include URLs can happen (deleted)
2007-03-28 17:32 UTC, Ryan Tilder
no flags Details | Diff

Description Ryan Tilder 2007-03-28 17:14:42 UTC
Description of problem:

%include would be much more useful if I didn't have to rely on only items
accessable via the local file system

Version-Release number of selected component (if applicable):

pykickstart0.43

Simple patch attached to change readKickstart()'s call to open() to use
urlgrabber.grabber.urlopen()

Comment 1 Ryan Tilder 2007-03-28 17:14:42 UTC
Created attachment 151136 [details]
use urlgrabber.grabber.urlopen() to open %include files

Comment 2 Ryan Tilder 2007-03-28 17:32:35 UTC
Created attachment 151138 [details]
use urlgrabber.grabber.urlopen() to open all kickstart config files so that %include URLs can happen

Slightly updated patch.

anaconda-11.1.2.36/kickstart.py doesn't catch IOError when calling
readKickstart(), making for not so pretty exception and exit when a %include
file is missing.  This way the interface can handle it as gracefully as
possible.

Comment 3 Chris Lumens 2007-03-30 20:00:08 UTC
This will be in the next build of pykickstart in rawhide, which means that it
will eventually be in the next release of RHEL.  If you'd like this feature
included in an update to RHEL5, please go through your support representative
who will raise the issue through the appropriate channels.  Thanks for the
feature request.

As for handling IOError, I'd prefer anaconda handle that correctly instead of
doing anything in pykickstart, so I've beefed up the error handling there instead.

Comment 4 Levente Farkas 2007-06-21 09:53:19 UTC
is there any other way to vote for this extension? it's simple clear patch and
would be very useful?


Note You need to log in before you can comment on or make changes to this bug.